TAAS - Feature #77

Set Fee/Discount List
10/31/2022 10:31 AM - Anil KV

Status: Reopen Bugs Start date: 10/31/2022
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 32:00 hours
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Set Fee/Discount List

Description

Coding Set Fee/Discount List

History

#1 - 11/01/2022 06:42 PM - Junaid M
Ul Changes

List Columns
#, Customer, Discount (Amount/%), Fee (Amount/%), Created By, Edit

#2 - 11/02/2022 08:52 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 11/03/2022 09:56 AM - Anil KV
- Assignee changed from Junaid M to Christy Saint

#4 - 11/12/2022 10:59 AM - Christy Saint
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 11/18/2022 05:49 PM - Christy Saint
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 11/28/2022 12:59 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET DROP DOWN TOGGLE ALIGNMENT
#7 - 12/12/2022 10:04 AM - Amal Cyriac

ISSUE FOUND *****
1.SET DROP DOWN TOGGLE ALIGNMENT
2.SET RANGE ON DATE

#8 - 01/16/2023 07:10 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 01/17/2023 02:10 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.SET RANGE ON DATE

2.SEARCH FILTERS NOT WORKING PROPERLLY
3.USE PROPER ALERTS

#10 - 05/18/2023 04:28 PM - Amal Cyriac

ISSUE FOUND *****

1.Add precision on grid

2.Add time on 'Created by ' Coloumn
3.Set right alignnment on amount

1.SET RANGE ON DATE
2.SEARCH FILTERS NOT WORKING PROPERLLY
3.USE PROPER ALERTS

#11 - 06/09/2023 06:39 PM - Junaid M

Gui Change:-

1. Only need 1 date filter -> As On Date
2. Dropdown like set fee

3. Show List ltem As

Grouped By -> Customer/Type/Family Distict of -> From Date, To Date, Service, Supplier, Region, Ticket tab items, Hotel Tab items, Branch

#12 - 09/15/2023 05:12 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 09/19/2023 06:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD TOOL TIP FOR CHECK BOX
2.CHANGE IN LABEL AUTOMATICALLY
3.ADD CODE WHILE SEARCH

4.ADD CURRENCY CODE IN UI

#14 - 10/31/2023 10:17 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#15 - 10/31/2023 11:48 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISUUE FOUNDED
1.ADD SCROLL DOWN OPTION IN GENERAL
2.SHOW NO DATA FOUND POP UP

#16 - 11/01/2023 09:17 PM - Junaid M

- Assignee changed from Christy Saint to Baseem Shan

#17 - 01/01/2024 12:00 PM - Junaid M

- Assignee changed from Baseem Shan to Vivekp V

#18 - 01/19/2024 08:39 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISUUE FIXED

1.ADD SCROLL DOWN OPTION IN GENERAL
2.SHOW NO DATA FOUND POP UP

#19 - 02/05/2024 01:18 PM - unnikannan S
TESTING DONE

#20 - 02/05/2024 01:19 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.LOADING WHILE CHOOSING NEW BUTTON

2.SHOWING CUSTOMER/SUPPLIER ACCOUNTS WHILE CHOOSING CREDIT/DEBIT CARD

#21 - 02/05/2024 02:08 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.LOADING WHILE CHOOSING NEW BUTTON

2.SHOWING CUSTOMER/SUPPLIER ACCOUNTS WHILE CHOOSING CREDIT/DEBIT CARD

#22 - 03/19/2024 03:12 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.FIX TRANSLATION BUGS IN Ul & PRINT

#23 - 03/19/2024 05:46 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.FIX TRANSLATION BUGS IN Ul & PRINT

#24 - 11/23/2024 04:10 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
#25 - 01/25/2025 01:17 PM - Arathy PS

- Assignee changed from Vivekp V to Augustin Jose

#26 - 01/25/2025 04:39 PM - Arathy PS

- File clipboard-202501251321-2ez8f.png added
- File clipboard-202501251324-bcxdr.png added
- File clipboard-202501251324-sggv5.png added

- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

ravvise

Set Fee/Discount List

Set Fee/Discount List

# | Customer

1| CUSD0Z: AASHIQ AHAD RAZA

2 Credit General

3 Credit General

4 Credit General

5 CUSD02: AASHIQ AHAD RAZA

As On Date”

Currency
QAR
QAR

QAR

Management Fee

Created By
000 = admin (25/01/2025 13:06:42)
000 admin (25/01/2025 12:54:41)

000 admin (25/01/2025 12:58:36)

o I

1000 ]admin (25/01/2025 12:49:30)

INR

FOP/Customer ~
Discount Service Fee
0.00 500
0.00 000
0.00 000
0.00 000
200 000

000 admin (25/01/2025 12:01:55)

=]
rd
rd
rd
4
rd

2.Data showing in the redirected tab is different from actual data while redirecting --while redirecting from a general category set fee/discount.
Pic 1:original data
Travvise

Set Fee/Discount

Credit General(All) ~ & oK
Effective Period(lssue Date)* = | 25/01/2025 Q B 7| wmmwyy a Service [
Currency” | QAR v .
ervice List Group By | No Grouping v Y Q
Discount | 0.00 % | 200 Based On  (SERVICE FEE) )
. Code Name Status
Senvice Fee | 000 % | s00 Based On  (FARE/RATE/VISA CHARGE)) )
- v SA001 Air Ticket Service Active
Management Fee | 1000 % 000 Based On J = - el Somin ive
Corporate Card Charge | 0.00 % | 200 Based On | (ICUSTOMER_AMGUNTING_CUSTOMER TAX)) ) A005 Other Senvice Active
Insurance Charge | 0,00 % | og0 Based On ) SAC06 Package Service Active
sa003 Transfer Acti
Refund Charge | 10.00 % | 000 BasedOn | {{SERVICE_FEE}} ) ransfer Service ive
SA004 Visa Senvice Active
g Void Charge | 0.00 % | 000 Based On )
Remarks
4
Created By: Administrator (25/01/2025 1249 PM) Modified By:  Administrator (25/01/2025 12:58 PM)
m
d
Ana
T + e T a =
Discount Service Fee Refund Charge  Service Supplier Region Branch
~  Date: Effective Period(ssue Date) : 25/01/2025
2% 5% 10,00 SAD0T: Air Ticket Service , SADD2: Hotel Servica SUPOOT: BSP , SUPOO2: ASP Al Vs
000 050 000 SADDS: Other Service., SAQ6: Package Service SUPODA: Supplier , SUPOO2: ASP Al v
0.00 0.00 0.00 SADO1: Air Ticket Service , SADD2:: Hotel Service , SA.. SUPOD2: ASP Al ,

Pic 2:Redirected data

05/03/2025

4/8



ﬁTfaVVise Set Fee/Discount

e Credit General(All) ~ & oK
Effective Period(Issue Date)* - | 25/01/2025 S B | dmm ] Service Supplier Region Ticket Hotel Branch
Curency | QAR v ~aT
o List Group B | No Grouping v T Q = o
Discount | 0,00 % | 200 BasedOn | HSERVICE FEE} )
- Code Name Status
Service Fee | 0,00 % | 500 Based On | {FARE/RATE/VISA_CHARGE}} )
k - v SA001 Air Ticket Service Active
o
Management Fee | 10.00 % | 000 Based On P = a0 ot sonce e
Corporate Card Charge | 0,00 % | 300 Based On | {{CUSTOMER_AMOUNT(NO_CUSTOMER TAX)}} J 58005 Other Service Active
P Insurance Charge | 0.00 % | 000 Based On 4 SA006 Package Service Active
$A003 Transfer S Acti
Refund Charge | 1000 % | 000 Based On | {SERVICE_FEE}} ] ransfer Service ive
5A004 Visa Service Active
by Void Charge | 0,00 % | 000 Based On g
Remarks
z
Created By:  Administrator (25/01/2025 12:49 PM) Modified By:  Administrator (25/01/2025 12:58 PM)
m
jard
# New Y Q B B
Discount Service Fee Refund Charge | Service Supplier Region Branch
~  Date: = 25/01/2025
2% 500 5%  SAOD4: Visa Service, SAD0G: Package Service SUPOD4: Supplier , SUP002: ASP &
2% 5% 1000 SADD1:: Air Ticket Service , SADDZ:: Hotel Senvice SUPDO1: BSP , SUP002: ASP Al v
0.00 000 000 $A005: Other Service , SAQDG: Package Service SUP0D4: Supplier , SUP002: ASP Al &
0.00 000 000 SADDT: Air Ticket Service , SAQ02: Hotel Service , SA.. | SUP0D2: ASP Al V4
~  Date:= 25/01/2025 - 27/01/2025
200 3% 4% | SADDY: Air Ticket Service , SADDS: Other Service ,S... | SUPOD4: Supplier Al &

#27 - 01/28/2025 04:45 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 02/08/2025 10:51 AM - Arathy PS

- File clipboard-202502081051-6g5tw.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Travvise Set Fee/Discount List

e AsOnDate”  08/02/2025 FOP/Customer ~

et Fee/D i = w
# | customer | Currency Discount Service Fee Management Fee = Created By
1| Credit General QAR 2% 5% 3% admin (08/02/2025 10:27:15) 4
2 | Credit General AR 2% 4% 0 admin (08/02/2025 10:27:48) rd
£ 3 | Cash Mode General QAR 2% 5% 0 admin (08/02/2025 10:32:22) v
4 | CUS004: Customer QAR 3% 5% 0 admin (08/02/2025 10:37:42) &
5 | CRCO02: Credit Card Customer QAR 2% 1 0 admin (08/02/2025 10:43:46) v
6 | snkoorzicicr QAR 0 6% 0 admin (08/02/2025 10:44:08) Vd
7| casoots cash QAR 0 3% 0 admin (08/02/2025 10:41:54) 4

#29 - 02/12/2025 05:14 PM - Arathy PS

- Assignee changed from Augustin Jose to Sreeranjini T

NEW CHANGES Done

1. FIXED -In the category add a new category - All

2.FIxed - Add all the categories from set fee/discount module.

3. If all is selected all the fee that is set should be shown here.

4. While selecting any category other than cash general and credit general all the set fees are showing. show only data based on the category that we
selected.

#30 - 02/19/2025 09:49 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 02/20/2025 03:37 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. While selecting any categories such as customer type, group, category, family, FOP, Customer (all after customer/fop) all the set fees are showing.
show only data based on the category that we selected.

#32 - 02/20/2025 04:14 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#33 - 02/24/2025 11:08 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE Flixed

1. Not showing data when multiple datas are there for a single category. (eg: When we set fee for more than one customer using Customer/FOP and
selected that category in list then while clicking search button result shows no data found)

#34 - 02/25/2025 10:04 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 03/03/2025 04:39 PM - Arathy PS

- File clipboard-202503031639-3i3aa.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. while clicking search name in account fields are missing
2. also missing discount,service fee and management fee.

Set Fee/Discount List

New
AsOnDate™ | 03/03/2025 [ | Al -

T Q 2 &
# Customer Currency Discount Service Fee Management Fee |Created By
1 CUSOMER CATEGORY QAR 0 0 0 |admin (03/03/2025 15:59:25) rd
2 CRCO03: Credit card Act As QAR 0 0 0 |admin (03/03/2025 15:58:01) &
3| CUS002: ASLAM AMAR MOHAMMED QAR 0 0 0 |admin (03/03/2025 15:54:47) rd
4 BNKOOT:ICICI QAR 0 0 0 |admin (03/03/2025 15:55:50) &
5 QAR 0 0 0 Jadmin (03/03/2025 12:21:21) &
6 INR 0 0 0 |admin (03/03/2025 15:16:28) &
7 QAR 0 0 0 Jadmin (03/03/2025 14:50:12) &
g INR 0 0 0 Jadmin (03/03/2025 15:17:15) &
9 CUSTOMER GROUP QAR 0 0 0 |admin (03/03/2025 15:55:14) rd

#36 - 03/05/2025 06:08 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#37 - 03/18/2025 05:01 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
- Tested By changed from unnikannan S to Arathy PS

ISSUE FOUND

1. When category bank is selected then data is not showing.
2. Data of party not showing (for credit general all) when click the search button first time.

#38 - 03/19/2025 02:43 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#39 - 03/28/2025 02:26 PM - Arathy PS

- File clipboard-202503281210-btmpw.png added

- File clipboard-202503281210-jstdd.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. Not clearing data when category is changed account group to something else.
2. While trying to search.
Set Fee/Discount List

AsOnDate” | 28/03/2025 <] Al - v;:
Y a 2
# | Customer Currency Discount Service Fee Management Fee Created By
1 QAR 0 4] 0 admin (28/03/2025 10:00:28) &
2 KRW 0 1] 0 admin (28/03/2025 10:07:15) &
3 QAR 200 ] 0 admin (28/03/2025 12:07:27) ra
4 COC003: Corporate Card Customer Act As AED 0 ] 0 admin (28/03/2025 10:03:12) s
5 CUSD02: ASHARAF AARIF KHAN QAR 0 [ 0 admin (28/03/2025 11:18:44) "
6 CUSDO7: ANWAR ASLAM KHAN INR 0 ] 0 admin (28/03/2025 10:01:29) s
s CUSDO1: ANWAR ASLAM KHAN QAR 0 1] 0 admin (28/03/2025 10:06:17) s
8 Account Group QAR 0 o 0 admin (28/03/2025 11:43:44) &
#40 - 04/03/2025 03:40 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#41 - 04/09/2025 10:24 AM - Arathy PS
- File clipboard-202504091024-h1jmk.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
#42 - 04/10/2025 10:17 AM - Arathy PS
- File deleted (clipboard-202504091024-h1jmk.png)
Files
1-CsModel.cs 1.48 KB 11/02/2022 Junaid M
2-tsModel.ts 1.43 KB 11/02/2022 Junaid M
3-CsFile.cs 2.5KB 11/02/2022 Junaid M
4-CsControllerFile.cs 9.02 KB 11/02/2022 Junaid M
5-TsFile.ts 10 KB 11/02/2022 Junaid M
6-HtmlFile.html 1.93 KB 11/02/2022 Junaid M
